ru.bitel.bgbilling.modules.inet.tariff.common.event

## Class TrafficRangeSpecModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<TrafficRangeSpec>
    - - ru.bitel.bgbilling.modules.inet.tariff.common.event.TrafficRangeSpecModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TrafficRangeSpecModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<TrafficRangeSpec>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrafficRangeSpecModifiedEvent()`
    `` | `TrafficRangeSpecModifiedEvent(int userId, TrafficRangeSpec oldValue, TrafficRangeSpec newValue)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrafficRangeSpecModifiedEvent

          protected TrafficRangeSpecModifiedEvent()

    - #### TrafficRangeSpecModifiedEvent

          public TrafficRangeSpecModifiedEvent(int userId,
                                               TrafficRangeSpec oldValue,
                                               TrafficRangeSpec newValue)